> For the complete documentation index, see [llms.txt](https://docs.maiagent.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.maiagent.ai/maiagent-user-guide/maiagent-user-guide-ja/tools.md).

# ツール

- [ツール機能の概要](https://docs.maiagent.ai/maiagent-user-guide/maiagent-user-guide-ja/tools/tool_description.md): 本ページでは、ツールとは何か、ツールが AI アシスタントをどのように支援するか、そして MaiAgent が対応するツールの種類の概要をご紹介します
- [MCP ツールの作成](https://docs.maiagent.ai/maiagent-user-guide/maiagent-user-guide-ja/tools/mcp-setup.md): 本ガイドでは、プラットフォーム上で新しい MCP ツールを作成する手順をご案内します。
- [連絡先 MCP 認証情報の設定](https://docs.maiagent.ai/maiagent-user-guide/maiagent-user-guide-ja/tools/setup-contacts-mcp-credentials.md): 個別化された MCP ツールの認証情報管理を実現し、データの安全な分離を確保します
- [API ツールの作成](https://docs.maiagent.ai/maiagent-user-guide/maiagent-user-guide-ja/tools/setup_api_tool.md): 本ガイドでは、プラットフォーム上で新しい MCP ツールを作成する手順をご案内します。
- [組み込み AI 画像生成ツール](https://docs.maiagent.ai/maiagent-user-guide/maiagent-user-guide-ja/tools/ai-image-generation-guide.md): 本ページでは、MaiAgent に標準搭載されている AI 画像生成ツールを紹介し、その効果と適用シーンを比較します
- [Gemini 3 画像生成ツール](https://docs.maiagent.ai/maiagent-user-guide/maiagent-user-guide-ja/tools/gemini-3-image-tool.md): Gemini 3 Pro Image を使用してテキストプロンプトから高品質な画像を生成する
- [Supabase を使った Text to SQL](https://docs.maiagent.ai/maiagent-user-guide/maiagent-user-guide-ja/tools/text-to-sql-supabase.md): 本記事では、MaiAgent で Supabase を使って Text to SQL 機能を利用する方法をご紹介します
- [AI アシスタントへのツール設定](https://docs.maiagent.ai/maiagent-user-guide/maiagent-user-guide-ja/tools/configure_tools.md)
- [Agent UI](https://docs.maiagent.ai/maiagent-user-guide/maiagent-user-guide-ja/tools/agent-ui.md): AI アシスタントが会話の中で視覚的な情報カードを自動的に送信し、操作可能なボタンと組み合わせることで、純粋なテキストよりも豊かな応答体験をユーザーに提供します。


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.maiagent.ai/maiagent-user-guide/maiagent-user-guide-ja/tools.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
